<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__i2c__macros__master__status" kind="group">
    <compoundname>group_scb_i2c_macros_master_status</compoundname>
    <title>I2C Master Status</title>
      <sectiondef kind="define">
      <memberdef id="group__group__scb__i2c__macros__master__status_1ga412fef33336fb22c95f342ccf2485a0a" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_MASTER_BUSY</name>
        <initializer>(0x00010000UL)</initializer>
        <briefdescription>
<para>The master is busy executing operation started by <ref kindref="member" refid="group__group__scb__i2c__master__high__level__functions_1ga83185adeefa83640ac09852c9d6cf426">Cy_SCB_I2C_MasterRead</ref> or <ref kindref="member" refid="group__group__scb__i2c__master__high__level__functions_1ga91f7a32d2a20cf3deebe01cef8d9d000">Cy_SCB_I2C_MasterWrite</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="805" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="805" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__master__status_1gaebe0539afe94d57233a96d9e0b81ab83" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_MASTER_WR_IN_FIFO</name>
        <initializer>(0x00020000UL)</initializer>
        <briefdescription>
<para>All Write data has been loaded into the TX FIFO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="810" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="810" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__master__status_1gadcc535a3bcb0f43774492651f562a4d4" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_MASTER_ADDR_NAK</name>
        <initializer>(0x00100000UL)</initializer>
        <briefdescription>
<para>The slave NACKed the address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="813" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="813" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__master__status_1gaa1bd4bdd1345d842eafe3df3d0ada328" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_MASTER_DATA_NAK</name>
        <initializer>(0x00200000UL)</initializer>
        <briefdescription>
<para>Write completed before all bytes were sent (last byte was NAKed) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="817" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="817" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__master__status_1ga1ce9a39fdccdb63d47aea3cc048ffb90" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_MASTER_ARB_LOST</name>
        <initializer>(0x00400000UL)</initializer>
        <briefdescription>
<para>The master lost arbitration, the transaction was aborted. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="820" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="820" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__master__status_1ga8eeded717a61477c8f06c59c00ef3f59" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_MASTER_BUS_ERR</name>
        <initializer>(0x00800000UL)</initializer>
        <briefdescription>
<para>The master detected an erroneous start or stop, the transaction was aborted. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="825" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="825" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__master__status_1ga39e4ddb9e5a4b11b74f10ea893bf44c2" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_MASTER_ABORT_START</name>
        <initializer>(0x01000000UL)</initializer>
        <briefdescription>
<para>The master transaction was aborted and the slave transaction is on-going because the slave was addressed before the master generated a start. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="831" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="831" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Macros to check current I2C master status returned by <ref kindref="member" refid="group__group__scb__i2c__master__high__level__functions_1ga652a3b9da6db2424fed62c28c6347ef3">Cy_SCB_I2C_MasterGetStatus</ref> function. </para>    </briefdescription>
    <detaileddescription>
<para>Each I2C master status is encoded in a separate bit, therefore multiple bits may be set to indicate the current status. </para>    </detaileddescription>
  </compounddef>
</doxygen>